import { LyricConfig, MetadataConfig } from '../core/core-config';
declare const options: {
    [x: string]: unknown;
    cover: boolean;
    debug: boolean;
    batch: string;
    "batch-depth": number;
    batchDepth: number;
    commentLanguage: string;
    "comment-language": string;
    coverCompressSize: number;
    "cover-compress-size": number;
    coverCompressResolution: number;
    "cover-compress-resolution": number;
    source: string;
    lyric: boolean;
    "lyric-type": "original" | "translated" | "mixed";
    lyricType: "original" | "translated" | "mixed";
    "lyric-output": "metadata" | "lrc";
    lyricOutput: "metadata" | "lrc";
    "lyric-cache-size": number;
    lyricCacheSize: number;
    "translation-separator": string;
    translationSeparator: string;
    "lyric-time": boolean;
    lyricTime: boolean;
    separator: string;
    timeout: number;
    retry: number;
    interactive: boolean;
    _: (string | number)[];
    $0: string;
};
export declare const cliOptions: {
    [x: string]: unknown;
    cover: boolean;
    debug: boolean;
    batch: string;
    "batch-depth": number;
    batchDepth: number;
    commentLanguage: string;
    "comment-language": string;
    coverCompressSize: number;
    "cover-compress-size": number;
    coverCompressResolution: number;
    "cover-compress-resolution": number;
    source: string;
    lyric: boolean;
    "lyric-type": "original" | "translated" | "mixed";
    lyricType: "original" | "translated" | "mixed";
    "lyric-output": "metadata" | "lrc";
    lyricOutput: "metadata" | "lrc";
    "lyric-cache-size": number;
    lyricCacheSize: number;
    "translation-separator": string;
    translationSeparator: string;
    "lyric-time": boolean;
    lyricTime: boolean;
    separator: string;
    timeout: number;
    retry: number;
    interactive: boolean;
    _: (string | number)[];
    $0: string;
};
export type CliOptions = typeof options;
export declare const lyricConfig: LyricConfig;
export declare const metadataConfig: MetadataConfig;
export {};
