/// <reference types="node" />
import { MetadataSource } from '../metadata-source';
import { Metadata } from '../metadata';
import { MetadataNormalizePlugin } from '../normalize/normalize';
/** @deprecated 请使用 {@link MetadataNormalizePlugin}. */
export type LocalJsonPlugin = MetadataNormalizePlugin;
export declare class LocalJson extends MetadataSource {
    normalize(metadatas: Metadata[], cover?: Buffer): Promise<Metadata[]>;
    normalizeWithoutCover(metadatas: Metadata[]): Promise<Metadata[]>;
    resolveAlbumName(localSource: string): Promise<string>;
    getMetadata(fullPath: string, cover?: Buffer): Promise<Metadata[]>;
}
export declare const localJson: LocalJson;
