/// <reference types="node" />
import { FlacTags } from 'flac-tagger';
import { Metadata } from '../../metadata/metadata';
import { MetadataReader } from '../metadata-reader';
export declare class FlacReader extends MetadataReader<FlacTags> {
    readRaw(input: string | Buffer): Promise<FlacTags>;
    read(input: string | Buffer | FlacTags): Promise<Metadata>;
}
export declare const flacReader: FlacReader;
