"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.expandCoverPlugin = void 0;
/** 处理封面图片 */
const expandCoverPlugin = ({ cover }) => {
    let firstCoverBuffer;
    return async ({ metadata, index }) => {
        if (index === 0) {
            if (cover !== undefined) {
                firstCoverBuffer = cover;
            }
            metadata.coverImage = firstCoverBuffer;
        }
        if (index > 0) {
            if (metadata.coverImage === undefined && firstCoverBuffer !== undefined) {
                metadata.coverImage = firstCoverBuffer;
            }
        }
    };
};
exports.expandCoverPlugin = expandCoverPlugin;
