/// <reference types="node" />
import { MetadataConfig } from '../core-config';
import { Metadata } from '../metadata/metadata';
export declare abstract class MetadataReader<RawType = any> {
    config: MetadataConfig;
    abstract read(input: string | Buffer | RawType): Promise<Metadata>;
    abstract readRaw(input: string | Buffer): Promise<RawType>;
    readAll(inputs: (string | Buffer | RawType)[]): Promise<Metadata[]>;
}
