/// <reference types="node" />
import type NodeID3 from 'node-id3';
import { Metadata } from '../../metadata/metadata';
import { MetadataReader } from '../metadata-reader';
export declare class Mp3Reader extends MetadataReader<NodeID3.Tags> {
    readRaw(input: string | Buffer): Promise<NodeID3.Tags>;
    read(input: string | Buffer | NodeID3.Tags): Promise<Metadata>;
}
export declare const mp3Reader: Mp3Reader;
