/// <reference types="node" />
import type { MetadataConfig } from '../core-config';
declare const CompressedData: unique symbol;
export type CompressedBuffer = Buffer & {
    [CompressedData]: Promise<Buffer>;
};
export declare const compressImage: (buffer: Buffer | CompressedBuffer, resolution?: number) => Promise<Buffer>;
export declare const compressImageByConfig: (buffer: Buffer | CompressedBuffer, config: MetadataConfig) => Promise<Buffer>;
export {};
